Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class BodyHandler

- io.vertx.groovy.ext.web.handler.BodyHandler

- All Implemented Interfaces and Traits:
    Handler

      @CompileStatic
      class BodyHandler

  A handler which gathers the entire request body and sets it on the .

  It also handles HTTP file uploads and can be used to limit body sizes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BodyHandler (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static BodyHandler` | `create()` Create a body handler with defaults
    `Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`
    `BodyHandler` | `setBodyLimit(long bodyLimit)` Set the maximum body size -1 means unlimited
    `BodyHandler` | `setMergeFormAttributes(boolean mergeFormAttributes)` Set whether form attributes will be added to the request parameters
    `BodyHandler` | `setUploadsDirectory(String uploadsDirectory)` Set the uploads directory to use

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### BodyHandler(Object delegate)

  - ### Method Detail

    - #### static BodyHandler create()

      Create a body handler with defaults

      Returns:
        the body handler

    - #### Object getDelegate()

    - #### void handle(RoutingContext arg0)

    - #### BodyHandler setBodyLimit(long bodyLimit)

      Set the maximum body size -1 means unlimited

      Returns:
        reference to this for fluency
      Parameters:
        `bodyLimit` - the max size

    - #### BodyHandler setMergeFormAttributes(boolean mergeFormAttributes)

      Set whether form attributes will be added to the request parameters

      Returns:
        reference to this for fluency
      Parameters:
        `mergeFormAttributes` - true if they should be merged

    - #### BodyHandler setUploadsDirectory(String uploadsDirectory)

      Set the uploads directory to use

      Returns:
        reference to this for fluency
      Parameters:
        `uploadsDirectory` - the uploads directory